Gatana logoGatana Docs
RoutesProfilesProfileidServersServerslugTools

/profiles/{profileId}/servers/{serverSlug}/tools

Replace the tool configuration that the profile uses for one of its MCP servers. The server must be attached to the profile

PUT
/profiles/{profileId}/servers/{serverSlug}/tools
AuthorizationBearer <token>

In: header

Path Parameters

profileId*string
serverSlug*string

Request Body

application/json

areAllToolsEnabled*boolean

Whether every tool of the server is available to the profile

autoEnableNewTools*boolean

Whether tools that the server adds later become available to the profile automatically

tools*array<>

Tools of the server that the profile enables, promotes or renames

Response Body

application/json

curl -X PUT "https://YOUR_ORG_ID.gatana.ai/api/v1/profiles/string/servers/string/tools" \  -H "Content-Type: application/json" \  -d '{    "areAllToolsEnabled": true,    "autoEnableNewTools": true,    "tools": [      {        "toolName": "string",        "isPromoted": true,        "toolNameOverride": ""      }    ]  }'
{
  "success": true
}